#
# spec file for package daemontools (Version 0.76)
#
# Copyright (c) 2005 Scorpio IT, Deidesheim, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself
#
#!BuildIgnore:          post-build-checks

%if %{?rel:0}%{!?rel:1}
%define rel 1
%endif


Distribution:   %dist
Packager:       Christian Wittmer <rpm@scorpio-it.net>
Vendor:         Scorpio IT

Name:           daemontools
Summary:        DJB daemontools
Version:        0.76
Release:        10.1
License:        Public Domain
Group:          System/Base
URL:            http://cr.yp.to/daemontools.html
Source:         %{name}-%{version}.tar.bz2
Source1:        %{name}-%{version}-man.tar.bz2
Patch:          %{name}-%{version}-errno.diff
Patch1:         %{name}-%{version}-init.diff
Patch2:         %{name}-%{version}-fileutils.diff
Buildroot:      %{_tmppath}/%{name}-%{version}
%if 0%{?centos_version} || 0%{?fedora_version} || 0%{?rhel_version}
BuildRequires:	initscripts
Requires:	initscripts
%endif
%if 0%{?suse_version}
Requires:	sysvinit
%endif
#----------------------------------------------------------------------------------
%description
#----------------------------------------------------------------------------------
Supervise monitors a service. It starts the service and restarts the
service if it dies.  The companion  svc program  stops,  pauses,  or
restarts the service on sysadmin request.  The svstat program prints
a one-line status report.

Multilog saves error  messages to  one or more  logs.  It optionally
timestamps each line and,  for each log,  includes or excludes lines
matching specified patterns.  It automatically rotates logs to limit
the amount of disk space used.   If the disk fills up, it pauses and
tries again, without losing any data.

----------------------------------------------------------------------------------

#----------------------------------------------------------------------------------
%prep
#----------------------------------------------------------------------------------
%setup -n %{name}-%{version} -a 1
%patch -p1
%patch1 -p1
%patch2 -p1
sed -i -e 's|-O2|%{optflags}|g' src/conf-cc

#----------------------------------------------------------------------------------
%build
#----------------------------------------------------------------------------------

sh package/compile

#----------------------------------------------------------------------------------
%install
#----------------------------------------------------------------------------------
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/command
mkdir -p $RPM_BUILD_ROOT/command/package
mkdir -p $RPM_BUILD_ROOT/service

%{__install} -D -m 0755 command/* $RPM_BUILD_ROOT/%{_sbindir}
# gzip man-pages
for i in `ls -1 man/*8*`; do
  %{__gzip} $i
done

%{__install} -D -m 0644 man/*.gz $RPM_BUILD_ROOT/%{_mandir}/man8

for i in `%{__cat} package/commands`; do
  %{__ln_s} ..%{_sbindir}/$i $RPM_BUILD_ROOT/command/$i
done

%{__cp} -a package/boot.inittab $RPM_BUILD_ROOT/command/package
%{__install} -D -m 0755 package/run package/run.inittab package/uninstall $RPM_BUILD_ROOT/command/package


#----------------------------------------------------------------------------------
%post
#----------------------------------------------------------------------------------
sh /command/package/run

#----------------------------------------------------------------------------------
%preun
#----------------------------------------------------------------------------------
if [ $1 == 0 ] ; then
sh /command/package/uninstall
fi

#----------------------------------------------------------------------------------
%clean
#----------------------------------------------------------------------------------
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && %{__rm} -rf $RPM_BUILD_ROOT


#----------------------------------------------------------------------------------
%files
#----------------------------------------------------------------------------------
%defattr (-,root,root)
%attr(-,root,root) %doc src/CHANGES package/README src/TODO
%attr(0755,root,root) %{_sbindir}/envdir
%attr(0755,root,root) %{_sbindir}/envuidgid
%attr(0755,root,root) %{_sbindir}/fghack
%attr(0755,root,root) %{_sbindir}/multilog
%attr(0755,root,root) %{_sbindir}/pgrphack
%attr(0755,root,root) %{_sbindir}/readproctitle
%attr(0755,root,root) %{_sbindir}/setlock
%attr(0755,root,root) %{_sbindir}/setuidgid
%attr(0755,root,root) %{_sbindir}/softlimit
%attr(0755,root,root) %{_sbindir}/supervise
%attr(0755,root,root) %{_sbindir}/svc
%attr(0755,root,root) %{_sbindir}/svok
%attr(0755,root,root) %{_sbindir}/svscan
%attr(0755,root,root) %{_sbindir}/svscanboot
%attr(0755,root,root) %{_sbindir}/svstat
%attr(0755,root,root) %{_sbindir}/tai64n
%attr(0755,root,root) %{_sbindir}/tai64nlocal
%attr(0755,root,root) %dir /command
%attr(0755,root,root) /command/*
%attr(0755,root,root) %dir /service

%attr(0644,root,root) %dir %{_mandir}/man8/*

#----------------------------------------------------------------------------------
%changelog
#----------------------------------------------------------------------------------
* Sat Nov 21 2009 Carsten Schoene <cs@linux-administrator.com> - 0.76-2
- fix inittab modification on update

* Sat Sep 22 2007 -  Christian Wittmer <rpm@scorpio-it.net> 0.76 - 1
- first run
